


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: RegisterTimeEntryCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: RegisterTimeEntryCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">RegisterTimeEntryCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 17)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.TaskService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.TimeEntryService;
<i>7</i>&nbsp;import com.dema.timeregistration.service.models.RegisterTimeEntryRequest;
<i>8</i>&nbsp;
<i>9</i>&nbsp;import java.util.Set;
<i>10</i>&nbsp;
<i>11</i>&nbsp;public class RegisterTimeEntryCommand implements Command {
<i>12</i>&nbsp;    private final TimeEntryService timeEntryService;
<i>13</i>&nbsp;    private final TaskService taskService;
<i>14</i>&nbsp;    private final ApplicationContext applicationContext;
<i>15</i>&nbsp;
<b class="nc"><i>16</i>&nbsp;    public RegisterTimeEntryCommand(TimeEntryService timeEntryService, TaskService taskService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>17</i>&nbsp;        this.timeEntryService = timeEntryService;</b>
<b class="nc"><i>18</i>&nbsp;        this.taskService = taskService;</b>
<b class="nc"><i>19</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>20</i>&nbsp;    }</b>
<i>21</i>&nbsp;
<i>22</i>&nbsp;    @Override
<i>23</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>24</i>&nbsp;        return &quot;register-time&quot;;</b>
<i>25</i>&nbsp;    }
<i>26</i>&nbsp;
<i>27</i>&nbsp;    @Override
<i>28</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>29</i>&nbsp;        return &quot;Register a time entry for a given task with following parameters:\n-c name of company\n-p name of project&quot; +</b>
<i>30</i>&nbsp;                &quot;\n-t name of task\n-s start time of the time entry\n-e end time of the time entry\nExample of usage:\n&quot; +
<i>31</i>&nbsp;                &quot;register-time -c \&quot;My Company\&quot; -p \&quot;My Project\&quot; -t \&quot;My Task\&quot; -s \&quot;01/01/2019 12:00\&quot; -e \&quot;31/12/2019 12:00\&quot;&quot;;
<i>32</i>&nbsp;    }
<i>33</i>&nbsp;
<i>34</i>&nbsp;    @Override
<i>35</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>36</i>&nbsp;        return Utils.newHashSet(</b>
<i>37</i>&nbsp;                new Parameter(&quot;c&quot;),
<i>38</i>&nbsp;                new Parameter(&quot;p&quot;),
<i>39</i>&nbsp;                new Parameter(&quot;t&quot;),
<i>40</i>&nbsp;                new Parameter(&quot;s&quot;),
<i>41</i>&nbsp;                new Parameter(&quot;e&quot;)
<i>42</i>&nbsp;        );
<i>43</i>&nbsp;    }
<i>44</i>&nbsp;
<i>45</i>&nbsp;    @Override
<i>46</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>47</i>&nbsp;        int projectId = taskService.getTaskId(parsedCommand.get(&quot;c&quot;), parsedCommand.get(&quot;p&quot;), parsedCommand.get(&quot;t&quot;));</b>
<i>48</i>&nbsp;
<b class="nc"><i>49</i>&nbsp;        RegisterTimeEntryRequest request = new RegisterTimeEntryRequest();</b>
<b class="nc"><i>50</i>&nbsp;        request.setTaskId(projectId);</b>
<b class="nc"><i>51</i>&nbsp;        request.setStartTime(parsedCommand.get(&quot;s&quot;));</b>
<b class="nc"><i>52</i>&nbsp;        request.setEndTime(parsedCommand.get(&quot;e&quot;));</b>
<i>53</i>&nbsp;
<b class="nc"><i>54</i>&nbsp;        timeEntryService.registerTimeEntry(request, applicationContext.getUserContextOrThrow());</b>
<i>55</i>&nbsp;
<b class="nc"><i>56</i>&nbsp;        System.out.println(&quot;Success&quot;);</b>
<b class="nc"><i>57</i>&nbsp;    }</b>
<i>58</i>&nbsp;
<i>59</i>&nbsp;    @Override
<i>60</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>61</i>&nbsp;        return CommandGroup.TIME_ENTRY;</b>
<i>62</i>&nbsp;    }
<i>63</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
